<template>
    <div class="list">
        <div class="list-header">
            Playlist: Placeholder Lorem Ipsum {{idPlaylist}}
        </div>
        <div class="list-body">
            <div v-for="song in songs">
                <div class="list-item">
                    <div>{{song.title}}</div>
                    <Voting :current-votes="song.votes" v-if="!listSingleView"></Voting>

                    <div class="btn-group" v-if="listSingleView">
                        <button @click="" class="btn-icon"><img src="../../assets/icons/group-dark.svg" /><span class="visuallyhidden">Suggest in current room</span></button>
                        <button @click="" class="btn-icon"><img src="../../assets/icons/close-dark.svg" /><span class="visuallyhidden">Delete</span></button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    import Voting from '../player/voting'

    export default {
        name: 'List',
        components: {Voting},
        props: {
            idPlaylist: Number,
            listSingleView: Boolean,
            songs: {
                type: Array
            }
        },
    }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
    @import "../../assets/theme.scss";

    .list-header {
        text-align: left;
        font-size: 20px;
        margin-bottom: 10px;
    }

    .list {
        padding: 7.5px 20px 20px 20px;
    }

    .list-item {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        border-bottom: 2px solid $PRIMARY-COLOUR-MEDIUM;
        padding: 8px 0 8px 0;

        .btn-group {
            .btn {
                margin-bottom: 0;
            }
        }
    }

    .settings {
        margin-left: auto;
        margin-right: 20px;
    }
</style>
